<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref23.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::SymbolLookup::LocalScope::~LocalScope&#40;&#41; - Synopsis::SymbolLookup::Scope</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::SymbolLookup::LocalScope::~LocalScope&#40;&#41; - Synopsis::SymbolLookup::Scope</h1><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_m_tLocalScope_l_r" /><h2 >Destructor Synopsis::SymbolLookup::LocalScope::~LocalScope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#_tLocalScope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#77">Synopsis/SymbolLookup/Scopes.hh:77</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined" /><h2 >Struct Synopsis::SymbolLookup::MultiplyDefined</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#38">Synopsis/SymbolLookup/Scope.hh:38</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#42">Synopsis/SymbolLookup/Scope.hh:42</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#MultiplyDefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cconst.PTree_mNode_S_r" >MultiplyDefined&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;const PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#44">Synopsis/SymbolLookup/Scope.hh:44</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#_tMultiplyDefined_l_r" >~MultiplyDefined&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#45">Synopsis/SymbolLookup/Scope.hh:45</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#what_l_rconst" >what&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#46">Synopsis/SymbolLookup/Scope.hh:46</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#name" >name</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#47">Synopsis/SymbolLookup/Scope.hh:47</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#declaration" >declaration</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#48">Synopsis/SymbolLookup/Scope.hh:48</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#original" >original</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined_mMultiplyDefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cconst.PTree_mNode_S_r" /><h2 >Synopsis::SymbolLookup::MultiplyDefined::MultiplyDefined&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;const PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#40">Synopsis/SymbolLookup/Scope.hh:40</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined_mdeclaration" /><h2 >Data member Synopsis::SymbolLookup::MultiplyDefined::declaration</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#47">Synopsis/SymbolLookup/Scope.hh:47</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined_mname" /><h2 >Data member Synopsis::SymbolLookup::MultiplyDefined::name</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#46">Synopsis/SymbolLookup/Scope.hh:46</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined_moriginal" /><h2 >Data member Synopsis::SymbolLookup::MultiplyDefined::original</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#original" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#48">Synopsis/SymbolLookup/Scope.hh:48</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined_mwhat_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::MultiplyDefined::what&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#what_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#45">Synopsis/SymbolLookup/Scope.hh:45</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mMultiplyDefined_m_tMultiplyDefined_l_r" /><h2 >Destructor Synopsis::SymbolLookup::MultiplyDefined::~MultiplyDefined&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#_tMultiplyDefined_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#44">Synopsis/SymbolLookup/Scope.hh:44</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace" /><h2 >Class Synopsis::SymbolLookup::Namespace</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#172">Synopsis/SymbolLookup/Scopes.hh:172</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#58">Synopsis/SymbolLookup/Display.hh:58</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#40">Synopsis/SymbolLookup/Scopes.hh:40</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#105">Synopsis/SymbolLookup/Scopes.hh:105</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#175">Synopsis/SymbolLookup/Scopes.hh:175</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#181">Synopsis/SymbolLookup/Scopes.hh:181</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#200">Synopsis/SymbolLookup/Scopes.hh:200</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#208">Synopsis/SymbolLookup/Scopes.hh:208</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#182">Synopsis/SymbolLookup/Symbol.hh:182</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#175">Synopsis/SymbolLookup/Scopes.hh:175</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#Namespace_lconst.PTree_mNamespaceSpec_S_cconst.Namespace_S_r" >Namespace&#40;const PTree::NamespaceSpec*&#44;const Namespace*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#181">Synopsis/SymbolLookup/Scopes.hh:181</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#find_namespace_lconst.PTree_mNamespaceSpec_S_rconst" >find_namespace&#40;const PTree::NamespaceSpec*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#183">Synopsis/SymbolLookup/Scopes.hh:183</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#use_lconst.PTree_mUsingDirective_S_r" >use&#40;const PTree::UsingDirective*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#184">Synopsis/SymbolLookup/Scopes.hh:184</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#outer_scope_l_rconst" >outer_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#186">Synopsis/SymbolLookup/Scopes.hh:186</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#188">Synopsis/SymbolLookup/Scopes.hh:188</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#qualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >qualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#192">Synopsis/SymbolLookup/Scopes.hh:192</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#name_l_rconst" >name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#194">Synopsis/SymbolLookup/Scopes.hh:194</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#197">Synopsis/SymbolLookup/Scopes.hh:197</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#_tNamespace_l_r" >~Namespace&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#200">Synopsis/SymbolLookup/Scopes.hh:200</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#Using" >Using</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#203">Synopsis/SymbolLookup/Scopes.hh:203</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst" >unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#44;Using&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#205">Synopsis/SymbolLookup/Scopes.hh:205</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#qualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst" >qualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#44;Using&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#207">Synopsis/SymbolLookup/Scopes.hh:207</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#my_spec" >my_spec</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#208">Synopsis/SymbolLookup/Scopes.hh:208</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#my_outer" >my_outer</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#209">Synopsis/SymbolLookup/Scopes.hh:209</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#my_using" >my_using</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mNamespace_lconst.PTree_mNamespaceSpec_S_cconst.Namespace_S_r" /><h2 >Synopsis::SymbolLookup::Namespace::Namespace&#40;const PTree::NamespaceSpec*&#44;const Namespace*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#175">Synopsis/SymbolLookup/Scopes.hh:175</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mUsing" /><h2 >Typedef Synopsis::SymbolLookup::Namespace::Using</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#Using" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#200">Synopsis/SymbolLookup/Scopes.hh:200</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#203">Synopsis/SymbolLookup/Scopes.hh:203</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#205">Synopsis/SymbolLookup/Scopes.hh:205</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#209">Synopsis/SymbolLookup/Scopes.hh:209</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::Namespace::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#194">Synopsis/SymbolLookup/Scopes.hh:194</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mfind_namespace_lconst.PTree_mNamespaceSpec_S_rconst" /><h2 >Synopsis::SymbolLookup::Namespace::find_namespace&#40;const PTree::NamespaceSpec*&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#181">Synopsis/SymbolLookup/Scopes.hh:181</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mmy_outer" /><h2 >Data member Synopsis::SymbolLookup::Namespace::my_outer</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#my_outer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#208">Synopsis/SymbolLookup/Scopes.hh:208</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#184">Synopsis/SymbolLookup/Scopes.hh:184</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#outer_scope_l_rconst" >Synopsis::SymbolLookup::Namespace::outer_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#197">Synopsis/SymbolLookup/Scopes.hh:197</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#_tNamespace_l_r" >Synopsis::SymbolLookup::Namespace::~Namespace&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#197">Synopsis/SymbolLookup/Scopes.hh:197</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#_tNamespace_l_r" >Synopsis::SymbolLookup::Namespace::~Namespace&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mmy_spec" /><h2 >Data member Synopsis::SymbolLookup::Namespace::my_spec</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#my_spec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#207">Synopsis/SymbolLookup/Scopes.hh:207</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mmy_using" /><h2 >Data member Synopsis::SymbolLookup::Namespace::my_using</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#my_using" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#209">Synopsis/SymbolLookup/Scopes.hh:209</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mname_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Namespace::name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#192">Synopsis/SymbolLookup/Scopes.hh:192</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Namespace::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#184">Synopsis/SymbolLookup/Scopes.hh:184</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Namespace::qualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#188">Synopsis/SymbolLookup/Scopes.hh:188</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_mqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst" /><h2 >Synopsis::SymbolLookup::Namespace::qualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#44;Using&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#205">Synopsis/SymbolLookup/Scopes.hh:205</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Namespace::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#186">Synopsis/SymbolLookup/Scopes.hh:186</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst" /><h2 >Synopsis::SymbolLookup::Namespace::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#44;Using&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#203">Synopsis/SymbolLookup/Scopes.hh:203</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_muse_lconst.PTree_mUsingDirective_S_r" /><h2 >Synopsis::SymbolLookup::Namespace::use&#40;const PTree::UsingDirective*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#183">Synopsis/SymbolLookup/Scopes.hh:183</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespace_m_tNamespace_l_r" /><h2 >Destructor Synopsis::SymbolLookup::Namespace::~Namespace&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#_tNamespace_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#197">Synopsis/SymbolLookup/Scopes.hh:197</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespaceName" /><h2 >Class Synopsis::SymbolLookup::NamespaceName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#172">Synopsis/SymbolLookup/Symbol.hh:172</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#36">Synopsis/SymbolLookup/Display.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#45">Synopsis/SymbolLookup/Symbol.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#176">Synopsis/SymbolLookup/Symbol.hh:176</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html#NamespaceName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >NamespaceName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#178">Synopsis/SymbolLookup/Symbol.hh:178</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#182">Synopsis/SymbolLookup/Symbol.hh:182</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html#as_scope_l_rconst" >as_scope&#40;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespaceName_mNamespaceName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::NamespaceName::NamespaceName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#175">Synopsis/SymbolLookup/Symbol.hh:175</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespaceName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::NamespaceName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#178">Synopsis/SymbolLookup/Symbol.hh:178</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mNamespaceName_mas_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::NamespaceName::as_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html#as_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#182">Synopsis/SymbolLookup/Symbol.hh:182</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope" /><h2 >Class Synopsis::SymbolLookup::PrototypeScope</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup.html#PrototypeScope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#114">Synopsis/SymbolLookup/Scopes.hh:114</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#70">Synopsis/SymbolFactory.hh:70</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#55">Synopsis/SymbolLookup/Display.hh:55</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#37">Synopsis/SymbolLookup/Scopes.hh:37</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#87">Synopsis/SymbolLookup/Scopes.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mPrototypeScope_lconst.PTree_mNode_S_cconst.Scope_S_cconst.TemplateParameterScope_S_r" /><h2 >Synopsis::SymbolLookup::PrototypeScope::PrototypeScope&#40;const PTree::Node*&#44;const Scope*&#44;const TemplateParameterScope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#118">Synopsis/SymbolLookup/Scopes.hh:118</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::PrototypeScope::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#131">Synopsis/SymbolLookup/Scopes.hh:131</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mdeclaration_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::PrototypeScope::declaration&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#declaration_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#126">Synopsis/SymbolLookup/Scopes.hh:126</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mmy_decl" /><h2 >Data member Synopsis::SymbolLookup::PrototypeScope::my_decl</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_decl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#137">Synopsis/SymbolLookup/Scopes.hh:137</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#126">Synopsis/SymbolLookup/Scopes.hh:126</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#declaration_l_rconst" >Synopsis::SymbolLookup::PrototypeScope::declaration&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mmy_outer" /><h2 >Data member Synopsis::SymbolLookup::PrototypeScope::my_outer</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_outer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#138">Synopsis/SymbolLookup/Scopes.hh:138</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#122">Synopsis/SymbolLookup/Scopes.hh:122</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#outer_scope_l_rconst" >Synopsis::SymbolLookup::PrototypeScope::outer_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#134">Synopsis/SymbolLookup/Scopes.hh:134</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#_tPrototypeScope_l_r" >Synopsis::SymbolLookup::PrototypeScope::~PrototypeScope&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mmy_parameters" /><h2 >Data member Synopsis::SymbolLookup::PrototypeScope::my_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#139">Synopsis/SymbolLookup/Scopes.hh:139</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#127">Synopsis/SymbolLookup/Scopes.hh:127</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#parameters_l_rconst" >Synopsis::SymbolLookup::PrototypeScope::parameters&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mname_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::PrototypeScope::name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#129">Synopsis/SymbolLookup/Scopes.hh:129</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::PrototypeScope::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#122">Synopsis/SymbolLookup/Scopes.hh:122</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_mparameters_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::PrototypeScope::parameters&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#parameters_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#127">Synopsis/SymbolLookup/Scopes.hh:127</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::PrototypeScope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#124">Synopsis/SymbolLookup/Scopes.hh:124</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mPrototypeScope_m_tPrototypeScope_l_r" /><h2 >Destructor Synopsis::SymbolLookup::PrototypeScope::~PrototypeScope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#_tPrototypeScope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#134">Synopsis/SymbolLookup/Scopes.hh:134</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScope" /><h2 >Class Synopsis::SymbolLookup::Scope</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#66">Synopsis/SymbolLookup/Scope.hh:66</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#32">Synopsis/SymbolFactory.hh:32</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#57">Synopsis/SymbolFactory.hh:57</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#62">Synopsis/SymbolFactory.hh:62</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#50">Synopsis/SymbolLookup/Display.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#60">Synopsis/SymbolLookup/Display.hh:60</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#67">Synopsis/SymbolLookup/Display.hh:67</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#90">Synopsis/SymbolLookup/Scope.hh:90</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#91">Synopsis/SymbolLookup/Scope.hh:91</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#94">Synopsis/SymbolLookup/Scope.hh:94</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#95">Synopsis/SymbolLookup/Scope.hh:95</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#110">Synopsis/SymbolLookup/Scope.hh:110</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#119">Synopsis/SymbolLookup/Scope.hh:119</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#122">Synopsis/SymbolLookup/Scope.hh:122</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#153">Synopsis/SymbolLookup/Scope.hh:153</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#43">Synopsis/SymbolLookup/Scopes.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#46">Synopsis/SymbolLookup/Scopes.hh:46</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#52">Synopsis/SymbolLookup/Scopes.hh:52</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#60">Synopsis/SymbolLookup/Scopes.hh:60</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#63">Synopsis/SymbolLookup/Scopes.hh:63</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#66">Synopsis/SymbolLookup/Scopes.hh:66</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#69">Synopsis/SymbolLookup/Scopes.hh:69</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#81">Synopsis/SymbolLookup/Scopes.hh:81</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#84">Synopsis/SymbolLookup/Scopes.hh:84</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#87">Synopsis/SymbolLookup/Scopes.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#90">Synopsis/SymbolLookup/Scopes.hh:90</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#108">Synopsis/SymbolLookup/Scopes.hh:108</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#114">Synopsis/SymbolLookup/Scopes.hh:114</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#118">Synopsis/SymbolLookup/Scopes.hh:118</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#122">Synopsis/SymbolLookup/Scopes.hh:122</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#138">Synopsis/SymbolLookup/Scopes.hh:138</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#142">Synopsis/SymbolLookup/Scopes.hh:142</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#147">Synopsis/SymbolLookup/Scopes.hh:147</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#153">Synopsis/SymbolLookup/Scopes.hh:153</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#167">Synopsis/SymbolLookup/Scopes.hh:167</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#172">Synopsis/SymbolLookup/Scopes.hh:172</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#184">Synopsis/SymbolLookup/Scopes.hh:184</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#56">Synopsis/SymbolLookup/Symbol.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#63">Synopsis/SymbolLookup/Symbol.hh:63</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#68">Synopsis/SymbolLookup/Symbol.hh:68</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#75">Synopsis/SymbolLookup/Symbol.hh:75</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#84">Synopsis/SymbolLookup/Symbol.hh:84</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#87">Synopsis/SymbolLookup/Symbol.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#101">Synopsis/SymbolLookup/Symbol.hh:101</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#109">Synopsis/SymbolLookup/Symbol.hh:109</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#117">Synopsis/SymbolLookup/Symbol.hh:117</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#129">Synopsis/SymbolLookup/Symbol.hh:129</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#138">Synopsis/SymbolLookup/Symbol.hh:138</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#151">Synopsis/SymbolLookup/Symbol.hh:151</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#163">Synopsis/SymbolLookup/Symbol.hh:163</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#176">Synopsis/SymbolLookup/Symbol.hh:176</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#25">Synopsis/SymbolLookup/Walker.hh:25</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#48">Synopsis/SymbolLookup/Walker.hh:48</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#51">Synopsis/SymbolLookup/Walker.hh:51</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#25">Synopsis/TypeAnalysis/ConstEvaluator.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#40">Synopsis/TypeAnalysis/ConstEvaluator.hh:40</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#45">Synopsis/TypeAnalysis/ConstEvaluator.hh:45</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html#20">Synopsis/TypeAnalysis/OverloadResolver.hh:20</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#25">Synopsis/TypeAnalysis/TypeEvaluator.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#53">Synopsis/TypeAnalysis/TypeEvaluator.hh:53</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#58">Synopsis/TypeAnalysis/TypeEvaluator.hh:58</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#71">Synopsis/SymbolLookup/Scope.hh:71</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#SymbolTable" >SymbolTable</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#76">Synopsis/SymbolLookup/Scope.hh:76</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ScopeTable" >ScopeTable</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#79">Synopsis/SymbolLookup/Scope.hh:79</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbol_iterator" >symbol_iterator</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#80">Synopsis/SymbolLookup/Scope.hh:80</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scope_iterator" >scope_iterator</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#82">Synopsis/SymbolLookup/Scope.hh:82</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#LookupContext" >LookupContext</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#83">Synopsis/SymbolLookup/Scope.hh:83</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#DEFAULT" >DEFAULT</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#84">Synopsis/SymbolLookup/Scope.hh:84</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#SCOPE" >SCOPE</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#85">Synopsis/SymbolLookup/Scope.hh:85</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#USING" >USING</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#86">Synopsis/SymbolLookup/Scope.hh:86</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ELABORATE" >ELABORATE</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#87">Synopsis/SymbolLookup/Scope.hh:87</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#DECLARATION" >DECLARATION</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#89">Synopsis/SymbolLookup/Scope.hh:89</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#Scope_l_r" >Scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#90">Synopsis/SymbolLookup/Scope.hh:90</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ref_l_r" >ref&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#91">Synopsis/SymbolLookup/Scope.hh:91</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#ref_l_rconst" >ref&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#92">Synopsis/SymbolLookup/Scope.hh:92</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#unref_l_rconst" >unref&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#94">Synopsis/SymbolLookup/Scope.hh:94</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#outer_scope_l_rconst" >outer_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#95">Synopsis/SymbolLookup/Scope.hh:95</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#global_scope_l_rconst" >global_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#97">Synopsis/SymbolLookup/Scope.hh:97</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#99">Synopsis/SymbolLookup/Scope.hh:99</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_begin_l_rconst" >symbols_begin&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#100">Synopsis/SymbolLookup/Scope.hh:100</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_end_l_rconst" >symbols_end&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#102">Synopsis/SymbolLookup/Scope.hh:102</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_begin_l_rconst" >scopes_begin&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#103">Synopsis/SymbolLookup/Scope.hh:103</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_end_l_rconst" >scopes_end&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#107">Synopsis/SymbolLookup/Scope.hh:107</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#declare_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" >declare&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#110">Synopsis/SymbolLookup/Scope.hh:110</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#declare_scope_lconst.PTree_mNode_S_cScope_S_r" >declare_scope&#40;const PTree::Node*&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#116">Synopsis/SymbolLookup/Scope.hh:116</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#use_lconst.PTree_mUsingDirective_S_r" >use&#40;const PTree::UsingDirective*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#119">Synopsis/SymbolLookup/Scope.hh:119</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#find_scope_lconst.PTree_mNode_S_rconst" >find_scope&#40;const PTree::Node*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#122">Synopsis/SymbolLookup/Scope.hh:122</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#find_scope_lconst.PTree_mEncoding_A_cconst.Symbol_S_rconst" >find_scope&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#124">Synopsis/SymbolLookup/Scope.hh:124</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#remove_scope_lconst.PTree_mNode_S_r" >remove_scope&#40;const PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#130">Synopsis/SymbolLookup/Scope.hh:130</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#find_lconst.PTree_mEncoding_A_cLookupContext_rconst" >find&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#133">Synopsis/SymbolLookup/Scope.hh:133</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#remove_lconst.Symbol_S_r" >remove&#40;const Symbol*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#136">Synopsis/SymbolLookup/Scope.hh:136</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#lookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" >lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#139">Synopsis/SymbolLookup/Scope.hh:139</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#unqualified_lookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" >unqualified_lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#141">Synopsis/SymbolLookup/Scope.hh:141</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#qualified_lookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" >qualified_lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#146">Synopsis/SymbolLookup/Scope.hh:146</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#_tScope_l_r" >~Scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#148">Synopsis/SymbolLookup/Scope.hh:148</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#my_symbols" >my_symbols</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#149">Synopsis/SymbolLookup/Scope.hh:149</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#my_scopes" >my_scopes</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#150">Synopsis/SymbolLookup/Scope.hh:150</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#my_refcount" >my_refcount</a></li></ul>
</li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
